[oe] [PATCH 11/11] p910nd: update to 0.95 and improve packaging

Otavio Salvador otavio at ossystems.com.br
Sat Mar 12 19:27:18 UTC 2011


 * fix SRC_URI to use SOURCEFORGE_MIRROR;
 * use LDFLAGS to include GNU_HASH info;
 * move avahi support to p910nd-avahi package;

Signed-off-by: Otavio Salvador <otavio at ossystems.com.br>
---
 recipes/p910nd/p910nd_0.92.bb |   45 -------------------------------------
 recipes/p910nd/p910nd_0.95.bb |   49 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 45 deletions(-)
 delete mode 100644 recipes/p910nd/p910nd_0.92.bb
 create mode 100644 recipes/p910nd/p910nd_0.95.bb

diff --git a/recipes/p910nd/p910nd_0.92.bb b/recipes/p910nd/p910nd_0.92.bb
deleted file mode 100644
index 4d90df1..0000000
--- a/recipes/p910nd/p910nd_0.92.bb
+++ /dev/null
@@ -1,45 +0,0 @@
-DESCRIPTION = "A small network printer daemon for embedded situations that passes the job directly to the printer."
-SECTION = "console/utils"
-HOMEPAGE = "http://p910nd.sourceforge.net/"
-LICENSE = "GPLv2"
-SECTION = "console/utils"
-PR = "r1"
-RRECOMMENDS_${PN} = "avahi"
-
-inherit update-rc.d
-
-INITSCRIPT_NAME = "p910nd"
-INITSCRIPT_PARAMS = "defaults 60 "
-
-SRC_URI = "http://internap.dl.sourceforge.net/sourceforge/p910nd/p910nd-0.92.tar.bz2 \
-           file://p910nd.init \
-           file://avahi"
-
-do_compile () {
-	${CC} -o p910nd p910nd.c 
-}
-
-# The avahi stuff makes it work with bonjour printing
-do_install () {
-	install -D -m 0755 ${S}/p910nd ${D}${sbindir}/p910nd
-	install -D -m 0644 ${S}/p910nd.conf ${D}${sysconfdir}/p910nd.conf
-	install -D -m 0755 ${WORKDIR}/p910nd.init ${D}${sysconfdir}/init.d/p910nd
-	install -D -m 0755 ${WORKDIR}/avahi ${D}${sysconfdir}/avahi/services/p910nd.service
-}
-
-pkg_postinst_append() {
-#!/bin/sh
-           
-if [ "x$D" != "x" ] ; then
-        exit 1
-fi
-
-# If avahi is already running reload it to pickup the p910nd config
-PAV=`pidof avahi-daemon`
-if [ "x$PAV" != "x" ] ; then
-        /etc/init.d/avahi-daemon reload
-fi
-}
-
-SRC_URI[md5sum] = "94a43d28794f2445cd5f9c8b970898c4"
-SRC_URI[sha256sum] = "a2295e525febfc3a1a93ad21c0843021e2b22e6720f148bf1c4822a83aea2b8c"
diff --git a/recipes/p910nd/p910nd_0.95.bb b/recipes/p910nd/p910nd_0.95.bb
new file mode 100644
index 0000000..faa095a
--- /dev/null
+++ b/recipes/p910nd/p910nd_0.95.bb
@@ -0,0 +1,49 @@
+DESCRIPTION = "A small network printer daemon for embedded situations that passes the job directly to the printer."
+SECTION = "console/utils"
+HOMEPAGE = "http://p910nd.sourceforge.net/"
+LICENSE = "GPLv2"
+SECTION = "console/utils"
+PR = "r1"
+RDEPENDS_${PN}-avahi = "avahi"
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "p910nd"
+INITSCRIPT_PARAMS = "defaults 60 "
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/p910nd/p910nd-${PV}.tar.bz2 \
+           file://p910nd.init \
+           file://avahi"
+
+SRC_URI[md5sum] = "c7ac6afdf7730ac8387a8e87198d4491"
+SRC_URI[sha256sum] = "7d78642c86dc247fbdef1ff85c56629dcdc6b2a457c786420299e284fffcb029"
+
+PACKAGES_prepend = "${PN}-avahi "
+
+FILES_${PN}-avahi += "${sysconfdir}/avahi/services/p910nd.service"
+
+do_compile () {
+	${CC} ${LDFLAGS} -o p910nd p910nd.c
+}
+
+# The avahi stuff makes it work with bonjour printing
+do_install () {
+	install -D -m 0755 ${S}/p910nd ${D}${sbindir}/p910nd
+	install -D -m 0644 ${S}/p910nd.conf ${D}${sysconfdir}/p910nd.conf
+	install -D -m 0755 ${WORKDIR}/p910nd.init ${D}${sysconfdir}/init.d/p910nd
+	install -D -m 0755 ${WORKDIR}/avahi ${D}${sysconfdir}/avahi/services/p910nd.service
+}
+
+pkg_postinst_${PN}-avahi_append() {
+#!/bin/sh
+
+if [ "x$D" != "x" ] ; then
+        exit 1
+fi
+
+# If avahi is already running reload it to pickup the p910nd config
+PAV=`pidof avahi-daemon`
+if [ "x$PAV" != "x" ] ; then
+        /etc/init.d/avahi-daemon reload
+fi
+}
-- 
1.7.2.3





More information about the Openembedded-devel mailing list